ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

HsDoc

Synopsis

- newtype HsDocString = HsDocString FastString
- type LHsDocString = Located HsDocString
- ppr_mbDoc :: Maybe LHsDocString -> SDoc

# Documentation

newtype HsDocString #

Haskell Documentation String

Constructors

HsDocString FastString |

Instances

Eq HsDocString # |
Methods (==) :: HsDocString -> HsDocString -> Bool # (/=) :: HsDocString -> HsDocString -> Bool #
Data HsDocString # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> HsDocString -> c HsDocString Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c HsDocString Source #

toConstr :: HsDocString -> Constr Source #

dataTypeOf :: HsDocString -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c HsDocString) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c HsDocString) Source #

gmapT :: (forall b. Data b => b -> b) -> HsDocString -> HsDocString Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> HsDocString -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> HsDocString -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> HsDocString -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> HsDocString -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> HsDocString -> m HsDocString Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> HsDocString -> m HsDocString Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> HsDocString -> m HsDocString Source #

Show HsDocString # |
Methods showsPrec :: Int -> HsDocString -> ShowS Source # show :: HsDocString -> String Source # showList :: [HsDocString] -> ShowS Source #
Outputable HsDocString # |
Methods ppr :: HsDocString -> SDoc # pprPrec :: Rational -> HsDocString -> SDoc #

type LHsDocString = Located HsDocString #

Located Haskell Documentation String

ppr_mbDoc :: Maybe LHsDocString -> SDoc #